unit XData.JSchema.BlobGenerator;

interface

uses
  Aurelius.Types.Blob,
  XData.JSchema.Classes,
  XData.JSchema.Generators;

type
  TJSchemaBlobGenerator = class(TJSchemaGenericGenerator<TBlob, TStringSchema>)
  protected
    procedure BuildSchema(Schema: TStringSchema); override;
  end;

implementation

{ TJSchemaBlobGenerator }

procedure TJSchemaBlobGenerator.BuildSchema(Schema: TStringSchema);
begin
  inherited;
  Schema.Format := 'base64';
end;

end.
